summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZero_Chaos <zerochaos@gentoo.org>2017-05-08 17:17:51 -0400
committerZero_Chaos <zerochaos@gentoo.org>2017-05-08 23:08:30 -0400
commitc9e9fe9c82099062b72abdb29689966af510a47f (patch)
tree9c543ce4077a2b857b5262b2e2544765127e470f /dev-ruby/metasploit-model
parentdev-ruby/metasploit_data_models: bumping to prepare for metasploit bump (diff)
downloadgentoo-c9e9fe9c82099062b72abdb29689966af510a47f.tar.gz
gentoo-c9e9fe9c82099062b72abdb29689966af510a47f.tar.bz2
gentoo-c9e9fe9c82099062b72abdb29689966af510a47f.zip
dev-ruby/metasploit-model: bump in prep for metasploit bump
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'dev-ruby/metasploit-model')
-rw-r--r--dev-ruby/metasploit-model/Manifest1
-rw-r--r--dev-ruby/metasploit-model/metasploit-model-2.0.0.ebuild4
-rw-r--r--dev-ruby/metasploit-model/metasploit-model-2.0.3.ebuild72
3 files changed, 75 insertions, 2 deletions
diff --git a/dev-ruby/metasploit-model/Manifest b/dev-ruby/metasploit-model/Manifest
index 7cd872aef0a..e4c8def6630 100644
--- a/dev-ruby/metasploit-model/Manifest
+++ b/dev-ruby/metasploit-model/Manifest
@@ -1 +1,2 @@
DIST metasploit-model-2.0.0.gem 81408 SHA256 c40fa0c5160ea99de81c475e5d1b852155f8080f66b47683f2cb4c19faa91788 SHA512 42c73b34104a94b5352e64199d2edf98ccc53c3e169f6799ecb7433588ed918d6483fe24cbfeab32b0a8859bcbfb42504054f013cdff2f03bac489e97edfe8ff WHIRLPOOL b739f5d1e465c06f6d1c4e4ba49ddf9f1e49e229b570f11cbfa0ea587a7a2b863f4e6a9a7c9df26b23e9e04e33ce72e99843b6c77a4b8cad34dd82449f41c8c7
+DIST metasploit-model-2.0.3.gem 81408 SHA256 011290db16ca8c84a82652be8481dca14c34edd8b0e2c9fd69f84ae1cc210fb4 SHA512 a6d77940e6b85925cc93c57f69910fde5c8eb2458d6707847be9f5856cfceee33304209e8c7076484151d9daf1f23cfe28cb0c00abb83176b7bc6c819fb128ec WHIRLPOOL a711cd41496acd8603a7020cda9aaed8cc8c84929e7a48db2a59fbdb29c5907d3224829d0bf41c39329c23441a3e1ec0e03848bdc3ebddc05571a0f4e9753a20
diff --git a/dev-ruby/metasploit-model/metasploit-model-2.0.0.ebuild b/dev-ruby/metasploit-model/metasploit-model-2.0.0.ebuild
index 7910f4e16fc..1fc00b4db28 100644
--- a/dev-ruby/metasploit-model/metasploit-model-2.0.0.ebuild
+++ b/dev-ruby/metasploit-model/metasploit-model-2.0.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
-USE_RUBY="ruby20 ruby21"
+USE_RUBY="ruby21"
inherit ruby-fakegem versionator
diff --git a/dev-ruby/metasploit-model/metasploit-model-2.0.3.ebuild b/dev-ruby/metasploit-model/metasploit-model-2.0.3.ebuild
new file mode 100644
index 00000000000..32cf654d827
--- /dev/null
+++ b/dev-ruby/metasploit-model/metasploit-model-2.0.3.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23"
+
+inherit ruby-fakegem versionator
+
+RUBY_FAKEGEM_EXTRAINSTALL="app config script spec"
+
+DESCRIPTION="Common code, such as validators and mixins"
+HOMEPAGE="https://github.com/rapid7/metasploit-model"
+SRC_URI="mirror://rubygems/${P}.gem"
+
+LICENSE="BSD"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm ~x86"
+#IUSE="development test"
+RESTRICT=test
+IUSE=""
+
+RDEPEND="${RDEPEND} !dev-ruby/metasploit-model:0"
+
+ruby_add_rdepend ">=dev-ruby/railties-4.2.6:4.2
+ >=dev-ruby/activesupport-4.2.6:4.2
+ >=dev-ruby/activemodel-4.2.6:4.2"
+# development? ( dev-ruby/bundler
+# dev-ruby/rake
+# dev-ruby/i18n
+# dev-ruby/multi_json
+# dev-ruby/builder
+# dev-ruby/erubis
+# dev-ruby/journey
+# dev-ruby/rack
+# dev-ruby/rack-cache
+# dev-ruby/rack-test
+# dev-ruby/hike
+# dev-ruby/tilt
+# dev-ruby/sprockets:*
+# dev-ruby/actionpack:4.0
+# dev-ruby/json
+# dev-ruby/rack-ssl:*
+# dev-ruby/rdoc
+# dev-ruby/thor
+# dev-ruby/redcarpet
+# <dev-ruby/yard-0.8.7.4 )"
+
+ruby_add_bdepend "dev-ruby/bundler"
+
+all_ruby_prepare() {
+ [ -f Gemfile.lock ] && rm Gemfile.lock
+ #For now, we don't support development or testing at all
+ #if ! use development; then
+ sed -i -e "/^group :development do/,/^end$/d" Gemfile || die
+ sed -i -e "/s.add_development_dependency/d" "${PN}".gemspec || die
+ sed -i -e "/spec.add_development_dependency/d" "${PN}".gemspec || die
+ #fi
+ #if ! use test; then
+ sed -i -e "/^group :test do/,/^end$/d" Gemfile || die
+ #fi
+ #if ! use test && ! use development; then
+ sed -i -e "/^group :development, :test do/,/^end$/d" Gemfile || die
+ #fi
+}
+
+each_ruby_prepare() {
+ if [ -f Gemfile ]
+ then
+ BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle install --local || die
+ BUNDLE_GEMFILE=Gemfile ${RUBY} -S bundle check || die
+ fi
+}